I have an iMac 5. It is too old to run the latest operating system OS X 10.8 Mountain Lion?

Mac

Follow this Question